Name:          qtscriptgenerator
Version:       0.2.0
Release:       2mamba
Summary:       QtScript bindings generator
Group:         Development/Bindings
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://code.google.com/p/qtscriptgenerator
Source:        http://qtscriptgenerator.googlecode.com/files/qtscriptgenerator-src-%{version}.tar.gz
Patch0:        %{name}-0.1.0-no_phonon.patch
Patch1:        %{name}-0.1.0-gcc44.patch
Patch2:        %{name}-0.2.0-arm-ftbfs-float.patch
Patch3:        %{name}-0.2.0-memory_alignment_fix.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libGL-devel
BuildRequires: libglib-devel
BuildRequires: libGLU-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libqt4-devel
BuildRequires: libphonon-devel
BuildRequires: libSM-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrender-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%debug_package

%description
Qt Script Generator is a tool that generates Qt bindings for Qt Script. With the generated bindings you get access to substantial portions of the Qt API from within Qt Script.
Qt is a cross-platform application framework for desktop and embedded development. It includes an intuitive API and a rich C++ class library, integrated tools for GUI development and internationalization, and support for Java™ and C++ development.

%prep
%setup -q -n %{name}-src-%{version}
%patch0 -p1
%patch1 -p0
%ifarch arm
%patch2 -p1
%endif
%patch3 -p1

%build
cd generator
export QTDIR=%{_libdir}/qt4
# workaround
export INCLUDE=%{_includedir}/qt4
qmake-qt4
%make
./generator
cd ../qtbindings
qmake-qt4
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
mkdir -p %{buildroot}%{_qt4_plugindir}/script/
cp -a plugins/script/libqtscript* \
   %{buildroot}%{_qt4_plugindir}/script/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_qt4_plugindir}/script/libqtscript_*.so
%{_qt4_plugindir}/script/libqtscript_*.so.*
%doc README

%changelog
* Mon Mar 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.0-2mamba
- added debug package

* Thu Mar 08 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.0-1mamba
- update to 0.2.0

* Mon Mar 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.0-1mamba
- package created by autospec
